/*
*	L o t u s   I m p r o v
*
*	Filename:				imxLoader.h
*	Created:				Oct 16, 1990
*	Author:   				Curt Gridley
*	Description:			public Improv API module loader interface 
*
*	You may freely copy, distribute and reuse the code in this example.
*	Lotus disclaims any warranty of any kind, expressed or implied, as to its
*	fitness for any particular use.
*
*	Copyright (c) Lotus Development Corporation 1990, 1991
*/

#import <objc/Object.h>
#import <sys/loader.h>

//-----------------------------------------------------------------------------
//	Interface: imxLoader
//-----------------------------------------------------------------------------

@interface  imxLoader : Object
{
	struct mach_header *	classHeader;
	int 					menuTag;
	id						nibPanel;
}

+ finishLoading:(struct mach_header *)header;
+ new;

- initHeader:(struct mach_header *)header;
- (BOOL)menuItemUpdate:menuCell;
- menuSelect:sender;
- (int)imxLoadModule:(char *)moduleName errors:(char **)errorText
	debugFile:(char *)debugfile status:(imxErrorCode *)status;
- doCalc;

@end
